"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deps = {
    // local
    get args() { return fetch('./args'); },
    get flags() { return fetch('./flags'); },
    get parse() { return fetch('./parse'); },
    get validate() { return fetch('./validate'); },
    get screen() { return fetch('@dxcli/screen'); },
    get renderList() { return fetch('./list').renderList; },
    get errors() { return fetch('./errors'); },
    // remote
    get chalk() {
        try {
            return fetch('chalk').default;
            // tslint:disable-next-line
        }
        catch (err) { }
    },
};
const cache = {};
function fetch(s) {
    if (!cache[s]) {
        cache[s] = require(s);
    }
    return cache[s];
}
