"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function build(defaults) {
    return (options = {}) => {
        return Object.assign({ parse: (i) => i }, defaults, options, { input: [], multiple: !!options.multiple, type: 'option' });
    };
}
exports.build = build;
function boolean(options = {}) {
    return Object.assign({ parse: b => b }, options, { allowNo: !!options.allowNo, type: 'boolean' });
}
exports.boolean = boolean;
exports.integer = build({
    optionType: 'integer',
    parse: input => {
        if (!/^[0-9]+$/.test(input))
            throw new Error(`Expected an integer but received: ${input}`);
        return parseInt(input, 10);
    },
});
const _enum = (opts) => build(Object.assign({ parse(input) {
        if (!opts.options.includes(input))
            throw new Error(`Expected --${this.name}=${input} to be one of: ${opts.options.join(', ')}`);
        return input;
    } }, opts, { optionType: 'enum' }));
exports.enum = _enum;
function option(options) {
    return build(Object.assign({ optionType: 'custom' }, options))();
}
exports.option = option;
const stringFlag = build({ optionType: 'string' });
exports.string = stringFlag;
exports.defaultFlags = {
    color: boolean({ allowNo: true }),
};
