"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const args = require("./args");
exports.args = args;
const flags = require("./flags");
exports.flags = flags;
var help_1 = require("./help");
exports.flagUsages = help_1.flagUsages;
const deps_1 = require("./deps");
function parse(options) {
    const input = {
        args: (options.args || []).map((a) => deps_1.deps.args.newArg(a)),
        argv: options.argv || process.argv.slice(2),
        flags: Object.assign({ color: deps_1.deps.flags.defaultFlags.color }, ((options.flags || {}))),
        strict: options.strict !== false,
    };
    const parser = new deps_1.deps.parse.Parser(input);
    const output = parser.parse();
    deps_1.deps.validate.validate({ input, output });
    return output;
}
exports.parse = parse;
